Subject: bug#70478: 30.0.50; [PATCH] Fix treesitter-font-lock-settings for built-in functions and attributes.

From: Prateek Sharma <[email-masked]>
Date: Mon, 22 Apr 2024 07:59:03 +0530

Yuan, do you mean like this in the attached file?

On Mon, Apr 22, 2024 at 5:09 AM Yuan Fu <[email-masked]> wrote:

>
>
> > On Apr 20, 2024, at 10:27 PM, Eli Zaretskii <[email-masked]> wrote:
> >
> >> From: Yuan Fu <[email-masked]>
> >> Date: Sat, 20 Apr 2024 20:47:29 -0700
> >> Cc: Eli Zaretskii <[email-masked]>,
> >> [email-masked]
> >>
> >>> On Sat, Apr 20, 2024 at 1:11 PM Eli Zaretskii <[email-masked]> wrote:
> >>>> From: Prateek Sharma <[email-masked]>
> >>>> Date: Sat, 20 Apr 2024 12:25:24 +0530
> >>>> Cc: Yuan Fu <[email-masked]>, [email-masked]
> >>>>
> >>>> Also should I squash the changes of both the above commits into one
> and then create a patch file?
> >>>
> >>> You should squash, yes.  Other than that, attaching the patches as you
> >>> did is fine.
> >>>
> >>> Thanks.
> >>> <0001-Fix-treesitter-font-lock-settings-for-built-in-funct.patch>
> >>
> >> Thanks! Should I apply this to master or emacs-29? It’s a fix so I
> think emacs-29?
> >
> > Yes, emacs-29 is fine.
>
> Merged. BTW, Prateek, make sure to wrap the title and body of the commit
> message, and not end the title with a period. 😊
>
> Yuan